package ch.ehi.ili2db.gui;

public class Config extends ch.ehi.basics.settings.Settings {
	private static final String PREFIX="ch.ehi.ili2db";
	private static final String SENDER=PREFIX+".sender";
	private static final String DEFAULT_SRS_AUTHORITY=PREFIX+".defaultSrsAuthority";
	private static final String DEFAULT_SRS_CODE=PREFIX+".defaultSrsCode";
	private int function;
	private String dburl;
	private String dbusr;
	private String dbpwd;
	private String dbhost;
	private String dbport;
	private String dbdatabase;
	private String dbfile;
	private String modeldir;
	private String models=null;
	private String createscript;
	private String dropscript;
	private String xtffile;
	private String mappingConfig;
	private String geometryConverter;
	private String jdbcDriver=null;
	private String ddlGenerator=null;
	static public final int FC_IMPORT=0;
	static public final int FC_SCHEMAIMPORT=1;
	static public final int FC_EXPORT=2;
	public String getGeometryConverter() {
		return geometryConverter;
	}
	public void setGeometryConverter(String adapterClassName) {
		this.geometryConverter = adapterClassName;
	}
	public String getCreatescript() {
		return createscript;
	}
	public void setCreatescript(String createscript) {
		this.createscript = createscript;
	}
	public String getDbpwd() {
		return dbpwd;
	}
	public void setDbpwd(String dbpwd) {
		this.dbpwd = dbpwd;
	}
	public String getDburl() {
		return dburl;
	}
	public void setDburl(String dburl) {
		this.dburl = dburl;
	}
	public String getDbusr() {
		return dbusr;
	}
	public void setDbusr(String dbusr) {
		this.dbusr = dbusr;
	}
	public String getDropscript() {
		return dropscript;
	}
	public void setDropscript(String dropscript) {
		this.dropscript = dropscript;
	}
	public String getMappingConfig() {
		return mappingConfig;
	}
	public void setMappingConfig(String mappingConfig) {
		this.mappingConfig = mappingConfig;
	}
	public String getModeldir() {
		return modeldir;
	}
	public void setModeldir(String modeldir) {
		this.modeldir = modeldir;
	}
	public String getModels() {
		return models;
	}
	public void setModels(String models) {
		this.models = models;
	}
	public String getXtffile() {
		return xtffile;
	}
	public void setXtffile(String xtffile) {
		this.xtffile = xtffile;
	}
	public int getFunction() {
		return function;
	}
	public void setFunction(int function) {
		this.function = function;
	}
	public String getDbfile() {
		return dbfile;
	}
	public void setDbfile(String dbfile) {
		this.dbfile = dbfile;
	}
	public String getDbhost() {
		return dbhost;
	}
	public void setDbhost(String dbhost) {
		this.dbhost = dbhost;
	}
	public String getDbport() {
		return dbport;
	}
	public void setDbport(String dbport) {
		this.dbport = dbport;
	}
	public String getDbdatabase() {
		return dbdatabase;
	}
	public void setDbdatabase(String dbdatabase) {
		this.dbdatabase = dbdatabase;
	}
	public String getDdlGenerator() {
		return ddlGenerator;
	}
	public void setDdlGenerator(String ddlGenerator) {
		this.ddlGenerator = ddlGenerator;
	}
	public String getJdbcDriver() {
		return jdbcDriver;
	}
	public void setJdbcDriver(String jdbcDriver) {
		this.jdbcDriver = jdbcDriver;
	}
	public String getSender() {
		return getValue(SENDER);
	}
	public void setSender(String sender) {
		setValue(SENDER,sender);
	}
	public String getDefaultSrsAuthority() {
		return getValue(DEFAULT_SRS_AUTHORITY);
	}
	public void setDefaultSrsAuthority(String value) {
		setValue(DEFAULT_SRS_AUTHORITY,value);
	}
	public String getDefaultSrsCode() {
		return getValue(DEFAULT_SRS_CODE);
	}
	public void setDefaultSrsCode(String value) {
		setValue(DEFAULT_SRS_CODE,value);
	}
}
